<?php
/**
 * AdamspayLog
 *
 * @author    Adamspay <www.adamspay.com>
 */

namespace Adamspay;

require_once(_PS_ROOT_DIR_ . '/config/config.inc.php');
require_once(_PS_ROOT_DIR_ . '/init.php');
require_once(_PS_ROOT_DIR_ . '/modules/adamspay/adamspay.php');

class AdamspayLog
{
    public static function message($message, $level, $function)
    {
        $file = dirname(__FILE__).'/../error_log';
        $handler = fopen($file, 'a');
        fwrite($handler, '['.date('r').'] '.$function." -> $level: $message\n\r");
        fclose($handler);
    }

    public static function error($message, $function)
    {
        $level = 'ERROR';
        self::message($message, $level, $function);
    }

    public static function info($message, $function)
    {
        $level = 'INFO';
        self::message($message, $level, $function);
    }
}
